Subject: Re: 8xx v2.6 TLB problems and suggested workaround

From: Dan Malek <[email-masked]>
Date: Sat, 9 Apr 2005 01:16:50 -0400

On Apr 8, 2005, at 7:07 AM, Marcelo Tosatti wrote:

> 1) _tlbie() on update_mmu_cache() surrounded by CONFIG_8xx #ifdef
> Did you give up about it?

I think a tlbia() of the vaddr should work here.  No sense blowing
away the whole TLB cache for this.

> What else you think can be done?

It would be interesting to change __flush_dcache_icache()
to use the 8xx SPR cache operations instead of the dcbst instruction.
I wouldn't be surprised if it worked differently, but I'd not be
able to explain it :-)

Thanks.

	-- Dan